Get Latest Scan Status
curl --request GET \
--url https://v1.api.altostrat.io/scans/cve/{scanScheduleId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/scans/cve/{scanScheduleId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/scans/cve/{scanScheduleId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"targets": [
"9c3c1392-7f36-4240-85f2-273573c0384a"
],
"scanned": [
"9c3c1392-7f36-4240-85f2-273573c0384a"
],
"failed": []
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'description' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'description' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Scan Results
Get Latest Scan Status
Retrieves the status of the most recent scan associated with a specific schedule, whether it is running, completed, or failed.
GET
/
scans
/
cve
/
{scanScheduleId}
/
status
Get Latest Scan Status
Authorizations
Enter your bearer token in the format: Bearer {token}
Path Parameters
The unique identifier of the scan schedule.
Example:
"9c43cc95-f313-49a3-b632-524f7a24503b"
Response
The status of the latest scan for the schedule.
A list of site IDs that were targeted in the scan.
Example:
["9c3c1392-7f36-4240-85f2-273573c0384a"]
A list of site IDs that have completed scanning (successfully or with failures).
Example:
["9c3c1392-7f36-4240-85f2-273573c0384a"]
A list of site IDs where the scan failed to complete.
Example:
[]
Was this page helpful?
⌘I